memperbaiki kesalahan [ffmpeg_frame.lo] Error 1

waktu install FFMPeg-php ( versi baru ) adalah :

make: *** [ffmpeg_frame.lo] Error 1

ada 2 cara untuk membetulkan nya antara lain :

1. edit file: ffmpeg_frame.c dan ganti semua teks PIX_FMT_RGBA32 menjadi PIX_FMT_RGB32

$# nano fmpeg_frame.c

2. Rename file ffmpeg_frame.loT menjadi ffmpeg_frame.lo

$# mv ffmpeg_frame.loT ffmpeg_frame.lo

lalu konfigurasi ulang lagi dengan perintah

$# make clean
$# ./configure
$# make
$# make install

Selesai deh.. bis ini ntar di update lagi installasi library pada linux untuk FFMPEG dan kawan kawan

scripts Nginx Daemon buat CentOS

#! /bin/sh
### BEGIN INIT INFO
# Provides: skeleton
# Required-Start: $local_fs $remote_fs
# Required-Stop: $local_fs $remote_fs
# Default-Start: 2 3 4 5
# Default-Stop: S 0 1 6
# Short-Description: Example initscript
# Description: This file should be used to construct scripts to be
# placed in /etc/init.d.
### END INIT INFO
#
# Author: Ryan Norbauer
#
set -e
PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
DESC=”nginx daemon”
NAME=nginx
DAEMON=/usr/local/sbin/$NAME
PIDFILE=/usr/local/nginx/logs/$NAME.pid
SCRIPTNAME=/etc/init.d/$NAME
# Gracefully exit if the package has been removed.
test -x $DAEMON || exit 0
# Read config file if it is present.
#if [ -r /etc/default/$NAME ]
#then
# . /etc/default/$NAME
#fi
#
# Function that starts the daemon/service.
#
d_start() {
start-stop-daemon –start –quiet –pidfile $PIDFILE \
–exec $DAEMON \
|| echo -n ” already running”
}
#
# Function that stops the daemon/service.
#
d_stop() {
start-stop-daemon –stop –quiet –pidfile $PIDFILE \
–name $NAME \
|| echo -n ” not running”
}

#
# Function that sends a SIGHUP to the daemon/service.
#
d_reload() {
start-stop-daemon –stop –quiet –pidfile $PIDFILE \
–name $NAME –signal 1
}

case “$1″ in
start)
echo -n “Starting $DESC: $NAME”
d_start
echo “.”
;;
stop)
echo -n “Stopping $DESC: $NAME”
d_stop
echo “.”
;;
#reload)
#
# If the daemon can reload its configuration without
# restarting (for example, when it is sent a SIGHUP),
# then implement that here.
#
# If the daemon responds to changes in its config file
# directly anyway, make this an “exit 0″.
#
# echo -n “Reloading $DESC configuration…”
# d_reload
# echo “done.”
#;;
restart|force-reload)
#
# If the “reload” option is implemented, move the “force-reload”
# option to the “reload” entry above. If not, “force-reload” is
# just the same as “restart”.
#
echo -n “Restarting $DESC: $NAME”
d_stop
# One second might not be time enough for a daemon to stop,
# if this happens, d_start will fail (and dpkg will break if
# the package is being upgraded). Change the timeout if needed
# be, or change d_stop to have start-stop-daemon use –retry.
# Notice that using –retry slows down the shutdown process somewhat.
sleep 1
d_start
echo “.”
;;
*)
echo “Usage: $SCRIPTNAME {start|stop|restart|force-reload}” >&2
exit 3
;;
esac
exit 0

Start dan Stop Daemon nginx

http://developer.axis.com/download/distribution/apps-sys-utils-start-stop-daemon-IR1_9_18-1.tar.gz

tar zxvf apps-sys-utils-start-stop-daemon-IR1_9_18-1.tar.gz
cd apps/sys-utils/start-stop-daemon-IR1_9_18-1/
gcc start-stop-daemon.c -o start-stop-daemon
cp start-stop-daemon /usr/sbin
chkconfig --add nginx
chkconfig --level 345 nginx on

instalasi litespeed pada centos

Pernah pengen nyoba pakai web server yang cepat dan dapat di handalkan selain apache? Cobalah web server litespeed yang ringan, cepat, handal dan 100% kompatibel dengan konfigurasi apache dan server cpanel seperti yang saya lakukan setelah mencoba menggunakan web server ringan lainnya, lighttpd, yang memang juga dapat diandalkan namun lighttpd tidak dimaksudkan untuk menggantikan apache sehingga ada beberapa masalah dalam hal kompatibilitas dengan apache.

1. Fitur Litespeed Web Server

Kaya akan fitur:

  • CGI, FastCGI, LSAPI, PHP, Servlet/JSP, Proxy
  • Mendukung SSL, IPv4, IPv6
  • Dukungan terbaik pada Ruby on Rail
  • Kompatibel dengan Apache .htaccess
  • Dukungan kompatibilitas dengan mod_security request filtering
  • Kompatibel dengan Apache URL rewrite engine
  • MS FrontPage Server Extension

Continue reading

dump database ke mysql melalui command

:D balik lagi, perbaikan smkn2tangsel milik nya si hasnul yang bikin pala puyeng, benahin nya manualll…. mana .sql nya gede-gede banget…:nohope: kalau upload pake internet, tau sendiri kapasitas internet di indonesia dudul mar dudul…

Langsung saja tanpa banyak cing-cong lagi

T. Bagaimana saya dapat mengimpor dumpfile MySQL ke dalam database saya? Operator lama hosting saya memberi saya file yang data.sql. Saya memiliki akses melalui ssh ke server. Saya menggunakan Linux CentOS 5 server.

A. Anda dapat dengan mudah mengembalikan atau mengimpor data MySQL dengan mysql perintah itu sendiri. Pertama, Anda perlu login ke sistem anda dengan menggunakan ssh atau dempul (dari sistem berbasis Windows). Sebagai contoh:

Ketik perintah berikut pada prompt shell:

$ Ssh loginname@server.hosting.com

Sekarang ketik perintah berikut untuk mengimpor file sql Data:

$ Mysql-u username-p-h localhost data-base-nama

Jika Anda telah mendedikasikan server database, ganti nama localhost dengan nama server yang sebenarnya atau alamat IP:

$ Mysql-u username-p-h 202.54.1.10 databasename ATAU menggunakan nama host seperti mysql.hosting.com
$ Mysql-u username-p-h mysql.hosting.com database-nama

Jika Anda tidak tahu nama database atau nama database yang termasuk di dump sql Anda dapat mencoba sesuatu sebagai berikut:

$ Mysql-u username-p-h 202.54.1.10

konfigurasi dns pada kloxo

iseng-iseng lagi nyobain kloxo, gratisan gitu :ngakaks saoale pake cpanel bayar :hammer:
nih langkah langkah nya boleh nyomot dari mas mustapha from djogjakarta

1. install kloxo di VPS1 and VPS2
2. VPS 1 buat domain
3. VPS2 buat subdomain

4. Domain mydomain.com dan subdomain adalah subdom.mydomain.com
5. IP for VPS1 is 123 111 111 111 123 222 222 222 and for VPS2 is
6. IP for dns registrar is 123 333 333 333

set “Sebuah catatan” (childnameserver) dan “Record NS” (nameserver) pada Panitera (di mana kita membeli domain) panel:

ns1 A - 123.111.111.111
ns2 A - 123.333.333.333
- NS - ns1.mydomain.com
- NS - ns2.mydomain.com

membuat dns-template pada VPS1 dengan ‘default’ nama domain:

__base__ A – 123.111.111.111
cp A – 123.111.111.111
mail A – 123.111.111.111
ns A – 123.111.111.111
ns1 A – 123.111.111.111
ns2 A – 123.333.333.333
ftp CN – __base__
lists CN – mail
webmail CN – mail
www CN – __base__
default.dnst MX 10 mail.default.dnst
- NS – ns1.default.dnst
- NS – ns2.default.dnst

Continue reading